Developers

Usage examples

Sentences that show how a term is used — or must not be used.

Basis-URLhttps://api.lexeri.comAuthentifizierungBearer-TokenFormatJSON

Endpunkte dieser Ressource

GET/terms/:identifier/usage_examples

List the usage examples of a term

Pfad-Parameter

identifierstring · uuidPflicht
Identifier of the term.

Antworten

  • 200 OKThe usage examples.
  • 401 UnauthorizedThe token is missing, invalid, expired or revoked, its user has no access to the termbase any more, or it lacks the required scope.
  • 404 Not FoundNot found in the token's termbase.
Felder je Eintrag (7)
identifierstring · uuidPflicht
textstringPflicht
The example sentence.
sourcestring | null
Where the sentence comes from, as free text.
sourcesobject[]
6 Felder
identifierstringPflicht
typestringPflicht
Erlaubte Werte: text, link, reference_document
textstring | null
linkstring | null
metadataobject | null
E.g. the page of a reference document.
reference_documentobject | null
The reference document cited.
userobject | null
Who added it.
6 Felder
identifierstring · uuidPflicht
namestringPflicht
first_namestring | null
last_namestring | null
emailstring | null
image_urlstring | null
URL of the user's avatar.
created_atstring · date-timePflicht
updated_atstring · date-time
curl https://api.lexeri.com/terms/284fdf93-6cb5-4bed-b2d3-d3d530e97511/usage_examples \  -H "Authorization: Bearer $LEXERI_API_TOKEN"
200 OKBeispielantwort
[  {    "identifier": "d7fe5877-8014-4895-8ff6-be9f89dcbfd6",    "text": "Die Luftdichtheit der Gebäudehülle wird mit dem Blower-Door-Test gemessen.",    "source": "Planungshandbuch, S. 12",    "sources": [],    "user": {      "identifier": "ecb20516-ae20-44bf-8c91-0503fa7bd59a",      "email": "anna.berger@example.com",      "first_name": "Anna",      "last_name": "Berger",      "name": "Anna Berger",      "image_url": "https://www.gravatar.com/avatar/00000000000000000000000000000000?d=identicon&s=300"    },    "created_at": "2026-10-11T20:19:09.505Z",    "updated_at": "2026-10-11T20:19:09.505Z"  }]

POST/terms/:identifier/usage_examples

Add a usage example to a term

Benötigter Scope:edit_terms

Pfad-Parameter

identifierstring · uuidPflicht
Identifier of the term.

Body-Parameter · JSON

textstringPflicht
The example sentence.
sourcestring
Where the sentence comes from.

Antworten

  • 201 CreatedThe new usage example.
  • 401 UnauthorizedThe token is missing, invalid, expired or revoked, its user has no access to the termbase any more, or it lacks the required scope.
  • 404 Not FoundNot found in the token's termbase.
  • 406 Not AcceptableA required parameter is missing or empty.
Felder der Antwort (7)
identifierstring · uuidPflicht
textstringPflicht
The example sentence.
sourcestring | null
Where the sentence comes from, as free text.
sourcesobject[]
6 Felder
identifierstringPflicht
typestringPflicht
Erlaubte Werte: text, link, reference_document
textstring | null
linkstring | null
metadataobject | null
E.g. the page of a reference document.
reference_documentobject | null
The reference document cited.
userobject | null
Who added it.
6 Felder
identifierstring · uuidPflicht
namestringPflicht
first_namestring | null
last_namestring | null
emailstring | null
image_urlstring | null
URL of the user's avatar.
created_atstring · date-timePflicht
updated_atstring · date-time
curl -X POST https://api.lexeri.com/terms/284fdf93-6cb5-4bed-b2d3-d3d530e97511/usage_examples \  -H "Authorization: Bearer $LEXERI_API_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "text": "Die Luftdichtheit der Gebäudehülle wird mit dem Blower-Door-Test gemessen.",    "source": "Planungshandbuch, S. 12"  }'
201 CreatedBeispielantwort
{  "identifier": "d7fe5877-8014-4895-8ff6-be9f89dcbfd6",  "text": "Die Luftdichtheit der Gebäudehülle wird mit dem Blower-Door-Test gemessen.",  "source": "Planungshandbuch, S. 12",  "sources": [],  "user": {    "identifier": "ecb20516-ae20-44bf-8c91-0503fa7bd59a",    "email": "anna.berger@example.com",    "first_name": "Anna",    "last_name": "Berger",    "name": "Anna Berger",    "image_url": "https://www.gravatar.com/avatar/00000000000000000000000000000000?d=identicon&s=300"  },  "created_at": "2026-10-11T20:19:09.505Z",  "updated_at": "2026-10-11T20:19:09.505Z"}

DELETE/terms/:term_identifier/usage_examples/:identifier

Delete a usage example

Benötigter Scope:edit_terms

Pfad-Parameter

term_identifierstring · uuidPflicht
Identifier of the term.
identifierstring · uuidPflicht
Identifier of the usage example.

Antworten

  • 204 No ContentDeleted.
  • 401 UnauthorizedThe token is missing, invalid, expired or revoked, its user has no access to the termbase any more, or it lacks the required scope.
  • 404 Not FoundNot found in the token's termbase.
curl -X DELETE https://api.lexeri.com/terms/284fdf93-6cb5-4bed-b2d3-d3d530e97511/usage_examples/d7fe5877-8014-4895-8ff6-be9f89dcbfd6 \  -H "Authorization: Bearer $LEXERI_API_TOKEN"